// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: rename.proto
#ifdef _MSC_VER
#pragma warning(disable:4125)
#endif
#include "rename.pb.h"

#include <algorithm>

#include <google/protobuf/stubs/common.h>
#include <google/protobuf/stubs/port.h>
#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/wire_format_lite_inl.h>
#include <google/protobuf/io/zero_copy_stream_impl_lite.h>
// This is a temporary google only hack
#ifdef GOOGLE_PROTOBUF_ENFORCE_UNIQUENESS
#include "third_party/protobuf/version.h"
#endif
// @@protoc_insertion_point(includes)

namespace dfproto {
class RenameSquadInDefaultTypeInternal {
 public:
  ::google::protobuf::internal::ExplicitlyConstructed<RenameSquadIn>
      _instance;
} _RenameSquadIn_default_instance_;
class RenameUnitInDefaultTypeInternal {
 public:
  ::google::protobuf::internal::ExplicitlyConstructed<RenameUnitIn>
      _instance;
} _RenameUnitIn_default_instance_;
class RenameBuildingInDefaultTypeInternal {
 public:
  ::google::protobuf::internal::ExplicitlyConstructed<RenameBuildingIn>
      _instance;
} _RenameBuildingIn_default_instance_;
}  // namespace dfproto
namespace protobuf_rename_2eproto {
static void InitDefaultsRenameSquadIn() {
  GOOGLE_PROTOBUF_VERIFY_VERSION;

  {
    void* ptr = &::dfproto::_RenameSquadIn_default_instance_;
    new (ptr) ::dfproto::RenameSquadIn();
    ::google::protobuf::internal::OnShutdownDestroyMessage(ptr);
  }
  ::dfproto::RenameSquadIn::InitAsDefaultInstance();
}

::google::protobuf::internal::SCCInfo<0> scc_info_RenameSquadIn =
    {{ATOMIC_VAR_INIT(::google::protobuf::internal::SCCInfoBase::kUninitialized), 0, InitDefaultsRenameSquadIn}, {}};

static void InitDefaultsRenameUnitIn() {
  GOOGLE_PROTOBUF_VERIFY_VERSION;

  {
    void* ptr = &::dfproto::_RenameUnitIn_default_instance_;
    new (ptr) ::dfproto::RenameUnitIn();
    ::google::protobuf::internal::OnShutdownDestroyMessage(ptr);
  }
  ::dfproto::RenameUnitIn::InitAsDefaultInstance();
}

::google::protobuf::internal::SCCInfo<0> scc_info_RenameUnitIn =
    {{ATOMIC_VAR_INIT(::google::protobuf::internal::SCCInfoBase::kUninitialized), 0, InitDefaultsRenameUnitIn}, {}};

static void InitDefaultsRenameBuildingIn() {
  GOOGLE_PROTOBUF_VERIFY_VERSION;

  {
    void* ptr = &::dfproto::_RenameBuildingIn_default_instance_;
    new (ptr) ::dfproto::RenameBuildingIn();
    ::google::protobuf::internal::OnShutdownDestroyMessage(ptr);
  }
  ::dfproto::RenameBuildingIn::InitAsDefaultInstance();
}

::google::protobuf::internal::SCCInfo<0> scc_info_RenameBuildingIn =
    {{ATOMIC_VAR_INIT(::google::protobuf::internal::SCCInfoBase::kUninitialized), 0, InitDefaultsRenameBuildingIn}, {}};

void InitDefaults() {
  ::google::protobuf::internal::InitSCC(&scc_info_RenameSquadIn.base);
  ::google::protobuf::internal::InitSCC(&scc_info_RenameUnitIn.base);
  ::google::protobuf::internal::InitSCC(&scc_info_RenameBuildingIn.base);
}

}  // namespace protobuf_rename_2eproto
namespace dfproto {

// ===================================================================

void RenameSquadIn::InitAsDefaultInstance() {
}
#if !defined(_MSC_VER) || _MSC_VER >= 1900
const int RenameSquadIn::kSquadIdFieldNumber;
const int RenameSquadIn::kNicknameFieldNumber;
const int RenameSquadIn::kAliasFieldNumber;
#endif  // !defined(_MSC_VER) || _MSC_VER >= 1900

RenameSquadIn::RenameSquadIn()
  : ::google::protobuf::MessageLite(), _internal_metadata_(NULL) {
  ::google::protobuf::internal::InitSCC(
      &protobuf_rename_2eproto::scc_info_RenameSquadIn.base);
  SharedCtor();
  // @@protoc_insertion_point(constructor:dfproto.RenameSquadIn)
}
RenameSquadIn::RenameSquadIn(const RenameSquadIn& from)
  : ::google::protobuf::MessageLite(),
      _internal_metadata_(NULL),
      _has_bits_(from._has_bits_) {
  _internal_metadata_.MergeFrom(from._internal_metadata_);
  nickname_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  if (from.has_nickname()) {
    nickname_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.nickname_);
  }
  alias_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  if (from.has_alias()) {
    alias_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.alias_);
  }
  squad_id_ = from.squad_id_;
  // @@protoc_insertion_point(copy_constructor:dfproto.RenameSquadIn)
}

void RenameSquadIn::SharedCtor() {
  nickname_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  alias_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  squad_id_ = 0;
}

RenameSquadIn::~RenameSquadIn() {
  // @@protoc_insertion_point(destructor:dfproto.RenameSquadIn)
  SharedDtor();
}

void RenameSquadIn::SharedDtor() {
  nickname_.DestroyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  alias_.DestroyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}

void RenameSquadIn::SetCachedSize(int size) const {
  _cached_size_.Set(size);
}
const RenameSquadIn& RenameSquadIn::default_instance() {
  ::google::protobuf::internal::InitSCC(&protobuf_rename_2eproto::scc_info_RenameSquadIn.base);
  return *internal_default_instance();
}


void RenameSquadIn::Clear() {
// @@protoc_insertion_point(message_clear_start:dfproto.RenameSquadIn)
  ::google::protobuf::uint32 cached_has_bits = 0;
  // Prevent compiler warnings about cached_has_bits being unused
  (void) cached_has_bits;

  cached_has_bits = _has_bits_[0];
  if (cached_has_bits & 3u) {
    if (cached_has_bits & 0x00000001u) {
      nickname_.ClearNonDefaultToEmptyNoArena();
    }
    if (cached_has_bits & 0x00000002u) {
      alias_.ClearNonDefaultToEmptyNoArena();
    }
  }
  squad_id_ = 0;
  _has_bits_.Clear();
  _internal_metadata_.Clear();
}

bool RenameSquadIn::MergePartialFromCodedStream(
    ::google::protobuf::io::CodedInputStream* input) {
#define DO_(EXPRESSION) if (!GOOGLE_PREDICT_TRUE(EXPRESSION)) goto failure
  ::google::protobuf::uint32 tag;
  ::google::protobuf::internal::LiteUnknownFieldSetter unknown_fields_setter(
      &_internal_metadata_);
  ::google::protobuf::io::StringOutputStream unknown_fields_output(
      unknown_fields_setter.buffer());
  ::google::protobuf::io::CodedOutputStream unknown_fields_stream(
      &unknown_fields_output, false);
  // @@protoc_insertion_point(parse_start:dfproto.RenameSquadIn)
  for (;;) {
    ::std::pair<::google::protobuf::uint32, bool> p = input->ReadTagWithCutoffNoLastTag(127u);
    tag = p.first;
    if (!p.second) goto handle_unusual;
    switch (::google::protobuf::internal::WireFormatLite::GetTagFieldNumber(tag)) {
      // required int32 squad_id = 1;
      case 1: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(8u /* 8 & 0xFF */)) {
          set_has_squad_id();
          DO_((::google::protobuf::internal::WireFormatLite::ReadPrimitive<
                   ::google::protobuf::int32, ::google::protobuf::internal::WireFormatLite::TYPE_INT32>(
                 input, &squad_id_)));
        } else {
          goto handle_unusual;
        }
        break;
      }

      // optional string nickname = 2;
      case 2: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(18u /* 18 & 0xFF */)) {
          DO_(::google::protobuf::internal::WireFormatLite::ReadString(
                input, this->mutable_nickname()));
        } else {
          goto handle_unusual;
        }
        break;
      }

      // optional string alias = 3;
      case 3: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(26u /* 26 & 0xFF */)) {
          DO_(::google::protobuf::internal::WireFormatLite::ReadString(
                input, this->mutable_alias()));
        } else {
          goto handle_unusual;
        }
        break;
      }

      default: {
      handle_unusual:
        if (tag == 0) {
          goto success;
        }
        DO_(::google::protobuf::internal::WireFormatLite::SkipField(
            input, tag, &unknown_fields_stream));
        break;
      }
    }
  }
success:
  // @@protoc_insertion_point(parse_success:dfproto.RenameSquadIn)
  return true;
failure:
  // @@protoc_insertion_point(parse_failure:dfproto.RenameSquadIn)
  return false;
#undef DO_
}

void RenameSquadIn::SerializeWithCachedSizes(
    ::google::protobuf::io::CodedOutputStream* output) const {
  // @@protoc_insertion_point(serialize_start:dfproto.RenameSquadIn)
  ::google::protobuf::uint32 cached_has_bits = 0;
  (void) cached_has_bits;

  cached_has_bits = _has_bits_[0];
  // required int32 squad_id = 1;
  if (cached_has_bits & 0x00000004u) {
    ::google::protobuf::internal::WireFormatLite::WriteInt32(1, this->squad_id(), output);
  }

  // optional string nickname = 2;
  if (cached_has_bits & 0x00000001u) {
    ::google::protobuf::internal::WireFormatLite::WriteStringMaybeAliased(
      2, this->nickname(), output);
  }

  // optional string alias = 3;
  if (cached_has_bits & 0x00000002u) {
    ::google::protobuf::internal::WireFormatLite::WriteStringMaybeAliased(
      3, this->alias(), output);
  }

  output->WriteRaw(_internal_metadata_.unknown_fields().data(),
                   static_cast<int>(_internal_metadata_.unknown_fields().size()));
  // @@protoc_insertion_point(serialize_end:dfproto.RenameSquadIn)
}

size_t RenameSquadIn::ByteSizeLong() const {
// @@protoc_insertion_point(message_byte_size_start:dfproto.RenameSquadIn)
  size_t total_size = 0;

  total_size += _internal_metadata_.unknown_fields().size();

  // required int32 squad_id = 1;
  if (has_squad_id()) {
    total_size += 1 +
      ::google::protobuf::internal::WireFormatLite::Int32Size(
        this->squad_id());
  }
  if (_has_bits_[0 / 32] & 3u) {
    // optional string nickname = 2;
    if (has_nickname()) {
      total_size += 1 +
        ::google::protobuf::internal::WireFormatLite::StringSize(
          this->nickname());
    }

    // optional string alias = 3;
    if (has_alias()) {
      total_size += 1 +
        ::google::protobuf::internal::WireFormatLite::StringSize(
          this->alias());
    }

  }
  int cached_size = ::google::protobuf::internal::ToCachedSize(total_size);
  SetCachedSize(cached_size);
  return total_size;
}

void RenameSquadIn::CheckTypeAndMergeFrom(
    const ::google::protobuf::MessageLite& from) {
  MergeFrom(*::google::protobuf::down_cast<const RenameSquadIn*>(&from));
}

void RenameSquadIn::MergeFrom(const RenameSquadIn& from) {
// @@protoc_insertion_point(class_specific_merge_from_start:dfproto.RenameSquadIn)
  GOOGLE_DCHECK_NE(&from, this);
  _internal_metadata_.MergeFrom(from._internal_metadata_);
  ::google::protobuf::uint32 cached_has_bits = 0;
  (void) cached_has_bits;

  cached_has_bits = from._has_bits_[0];
  if (cached_has_bits & 7u) {
    if (cached_has_bits & 0x00000001u) {
      set_has_nickname();
      nickname_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.nickname_);
    }
    if (cached_has_bits & 0x00000002u) {
      set_has_alias();
      alias_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.alias_);
    }
    if (cached_has_bits & 0x00000004u) {
      squad_id_ = from.squad_id_;
    }
    _has_bits_[0] |= cached_has_bits;
  }
}

void RenameSquadIn::CopyFrom(const RenameSquadIn& from) {
// @@protoc_insertion_point(class_specific_copy_from_start:dfproto.RenameSquadIn)
  if (&from == this) return;
  Clear();
  MergeFrom(from);
}

bool RenameSquadIn::IsInitialized() const {
  if ((_has_bits_[0] & 0x00000004) != 0x00000004) return false;
  return true;
}

void RenameSquadIn::Swap(RenameSquadIn* other) {
  if (other == this) return;
  InternalSwap(other);
}
void RenameSquadIn::InternalSwap(RenameSquadIn* other) {
  using std::swap;
  nickname_.Swap(&other->nickname_, &::google::protobuf::internal::GetEmptyStringAlreadyInited(),
    GetArenaNoVirtual());
  alias_.Swap(&other->alias_, &::google::protobuf::internal::GetEmptyStringAlreadyInited(),
    GetArenaNoVirtual());
  swap(squad_id_, other->squad_id_);
  swap(_has_bits_[0], other->_has_bits_[0]);
  _internal_metadata_.Swap(&other->_internal_metadata_);
}

::std::string RenameSquadIn::GetTypeName() const {
  return "dfproto.RenameSquadIn";
}


// ===================================================================

void RenameUnitIn::InitAsDefaultInstance() {
}
#if !defined(_MSC_VER) || _MSC_VER >= 1900
const int RenameUnitIn::kUnitIdFieldNumber;
const int RenameUnitIn::kNicknameFieldNumber;
const int RenameUnitIn::kProfessionFieldNumber;
#endif  // !defined(_MSC_VER) || _MSC_VER >= 1900

RenameUnitIn::RenameUnitIn()
  : ::google::protobuf::MessageLite(), _internal_metadata_(NULL) {
  ::google::protobuf::internal::InitSCC(
      &protobuf_rename_2eproto::scc_info_RenameUnitIn.base);
  SharedCtor();
  // @@protoc_insertion_point(constructor:dfproto.RenameUnitIn)
}
RenameUnitIn::RenameUnitIn(const RenameUnitIn& from)
  : ::google::protobuf::MessageLite(),
      _internal_metadata_(NULL),
      _has_bits_(from._has_bits_) {
  _internal_metadata_.MergeFrom(from._internal_metadata_);
  nickname_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  if (from.has_nickname()) {
    nickname_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.nickname_);
  }
  profession_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  if (from.has_profession()) {
    profession_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.profession_);
  }
  unit_id_ = from.unit_id_;
  // @@protoc_insertion_point(copy_constructor:dfproto.RenameUnitIn)
}

void RenameUnitIn::SharedCtor() {
  nickname_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  profession_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  unit_id_ = 0;
}

RenameUnitIn::~RenameUnitIn() {
  // @@protoc_insertion_point(destructor:dfproto.RenameUnitIn)
  SharedDtor();
}

void RenameUnitIn::SharedDtor() {
  nickname_.DestroyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  profession_.DestroyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}

void RenameUnitIn::SetCachedSize(int size) const {
  _cached_size_.Set(size);
}
const RenameUnitIn& RenameUnitIn::default_instance() {
  ::google::protobuf::internal::InitSCC(&protobuf_rename_2eproto::scc_info_RenameUnitIn.base);
  return *internal_default_instance();
}


void RenameUnitIn::Clear() {
// @@protoc_insertion_point(message_clear_start:dfproto.RenameUnitIn)
  ::google::protobuf::uint32 cached_has_bits = 0;
  // Prevent compiler warnings about cached_has_bits being unused
  (void) cached_has_bits;

  cached_has_bits = _has_bits_[0];
  if (cached_has_bits & 3u) {
    if (cached_has_bits & 0x00000001u) {
      nickname_.ClearNonDefaultToEmptyNoArena();
    }
    if (cached_has_bits & 0x00000002u) {
      profession_.ClearNonDefaultToEmptyNoArena();
    }
  }
  unit_id_ = 0;
  _has_bits_.Clear();
  _internal_metadata_.Clear();
}

bool RenameUnitIn::MergePartialFromCodedStream(
    ::google::protobuf::io::CodedInputStream* input) {
#define DO_(EXPRESSION) if (!GOOGLE_PREDICT_TRUE(EXPRESSION)) goto failure
  ::google::protobuf::uint32 tag;
  ::google::protobuf::internal::LiteUnknownFieldSetter unknown_fields_setter(
      &_internal_metadata_);
  ::google::protobuf::io::StringOutputStream unknown_fields_output(
      unknown_fields_setter.buffer());
  ::google::protobuf::io::CodedOutputStream unknown_fields_stream(
      &unknown_fields_output, false);
  // @@protoc_insertion_point(parse_start:dfproto.RenameUnitIn)
  for (;;) {
    ::std::pair<::google::protobuf::uint32, bool> p = input->ReadTagWithCutoffNoLastTag(127u);
    tag = p.first;
    if (!p.second) goto handle_unusual;
    switch (::google::protobuf::internal::WireFormatLite::GetTagFieldNumber(tag)) {
      // required int32 unit_id = 1;
      case 1: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(8u /* 8 & 0xFF */)) {
          set_has_unit_id();
          DO_((::google::protobuf::internal::WireFormatLite::ReadPrimitive<
                   ::google::protobuf::int32, ::google::protobuf::internal::WireFormatLite::TYPE_INT32>(
                 input, &unit_id_)));
        } else {
          goto handle_unusual;
        }
        break;
      }

      // optional string nickname = 2;
      case 2: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(18u /* 18 & 0xFF */)) {
          DO_(::google::protobuf::internal::WireFormatLite::ReadString(
                input, this->mutable_nickname()));
        } else {
          goto handle_unusual;
        }
        break;
      }

      // optional string profession = 3;
      case 3: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(26u /* 26 & 0xFF */)) {
          DO_(::google::protobuf::internal::WireFormatLite::ReadString(
                input, this->mutable_profession()));
        } else {
          goto handle_unusual;
        }
        break;
      }

      default: {
      handle_unusual:
        if (tag == 0) {
          goto success;
        }
        DO_(::google::protobuf::internal::WireFormatLite::SkipField(
            input, tag, &unknown_fields_stream));
        break;
      }
    }
  }
success:
  // @@protoc_insertion_point(parse_success:dfproto.RenameUnitIn)
  return true;
failure:
  // @@protoc_insertion_point(parse_failure:dfproto.RenameUnitIn)
  return false;
#undef DO_
}

void RenameUnitIn::SerializeWithCachedSizes(
    ::google::protobuf::io::CodedOutputStream* output) const {
  // @@protoc_insertion_point(serialize_start:dfproto.RenameUnitIn)
  ::google::protobuf::uint32 cached_has_bits = 0;
  (void) cached_has_bits;

  cached_has_bits = _has_bits_[0];
  // required int32 unit_id = 1;
  if (cached_has_bits & 0x00000004u) {
    ::google::protobuf::internal::WireFormatLite::WriteInt32(1, this->unit_id(), output);
  }

  // optional string nickname = 2;
  if (cached_has_bits & 0x00000001u) {
    ::google::protobuf::internal::WireFormatLite::WriteStringMaybeAliased(
      2, this->nickname(), output);
  }

  // optional string profession = 3;
  if (cached_has_bits & 0x00000002u) {
    ::google::protobuf::internal::WireFormatLite::WriteStringMaybeAliased(
      3, this->profession(), output);
  }

  output->WriteRaw(_internal_metadata_.unknown_fields().data(),
                   static_cast<int>(_internal_metadata_.unknown_fields().size()));
  // @@protoc_insertion_point(serialize_end:dfproto.RenameUnitIn)
}

size_t RenameUnitIn::ByteSizeLong() const {
// @@protoc_insertion_point(message_byte_size_start:dfproto.RenameUnitIn)
  size_t total_size = 0;

  total_size += _internal_metadata_.unknown_fields().size();

  // required int32 unit_id = 1;
  if (has_unit_id()) {
    total_size += 1 +
      ::google::protobuf::internal::WireFormatLite::Int32Size(
        this->unit_id());
  }
  if (_has_bits_[0 / 32] & 3u) {
    // optional string nickname = 2;
    if (has_nickname()) {
      total_size += 1 +
        ::google::protobuf::internal::WireFormatLite::StringSize(
          this->nickname());
    }

    // optional string profession = 3;
    if (has_profession()) {
      total_size += 1 +
        ::google::protobuf::internal::WireFormatLite::StringSize(
          this->profession());
    }

  }
  int cached_size = ::google::protobuf::internal::ToCachedSize(total_size);
  SetCachedSize(cached_size);
  return total_size;
}

void RenameUnitIn::CheckTypeAndMergeFrom(
    const ::google::protobuf::MessageLite& from) {
  MergeFrom(*::google::protobuf::down_cast<const RenameUnitIn*>(&from));
}

void RenameUnitIn::MergeFrom(const RenameUnitIn& from) {
// @@protoc_insertion_point(class_specific_merge_from_start:dfproto.RenameUnitIn)
  GOOGLE_DCHECK_NE(&from, this);
  _internal_metadata_.MergeFrom(from._internal_metadata_);
  ::google::protobuf::uint32 cached_has_bits = 0;
  (void) cached_has_bits;

  cached_has_bits = from._has_bits_[0];
  if (cached_has_bits & 7u) {
    if (cached_has_bits & 0x00000001u) {
      set_has_nickname();
      nickname_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.nickname_);
    }
    if (cached_has_bits & 0x00000002u) {
      set_has_profession();
      profession_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.profession_);
    }
    if (cached_has_bits & 0x00000004u) {
      unit_id_ = from.unit_id_;
    }
    _has_bits_[0] |= cached_has_bits;
  }
}

void RenameUnitIn::CopyFrom(const RenameUnitIn& from) {
// @@protoc_insertion_point(class_specific_copy_from_start:dfproto.RenameUnitIn)
  if (&from == this) return;
  Clear();
  MergeFrom(from);
}

bool RenameUnitIn::IsInitialized() const {
  if ((_has_bits_[0] & 0x00000004) != 0x00000004) return false;
  return true;
}

void RenameUnitIn::Swap(RenameUnitIn* other) {
  if (other == this) return;
  InternalSwap(other);
}
void RenameUnitIn::InternalSwap(RenameUnitIn* other) {
  using std::swap;
  nickname_.Swap(&other->nickname_, &::google::protobuf::internal::GetEmptyStringAlreadyInited(),
    GetArenaNoVirtual());
  profession_.Swap(&other->profession_, &::google::protobuf::internal::GetEmptyStringAlreadyInited(),
    GetArenaNoVirtual());
  swap(unit_id_, other->unit_id_);
  swap(_has_bits_[0], other->_has_bits_[0]);
  _internal_metadata_.Swap(&other->_internal_metadata_);
}

::std::string RenameUnitIn::GetTypeName() const {
  return "dfproto.RenameUnitIn";
}


// ===================================================================

void RenameBuildingIn::InitAsDefaultInstance() {
}
#if !defined(_MSC_VER) || _MSC_VER >= 1900
const int RenameBuildingIn::kBuildingIdFieldNumber;
const int RenameBuildingIn::kNameFieldNumber;
#endif  // !defined(_MSC_VER) || _MSC_VER >= 1900

RenameBuildingIn::RenameBuildingIn()
  : ::google::protobuf::MessageLite(), _internal_metadata_(NULL) {
  ::google::protobuf::internal::InitSCC(
      &protobuf_rename_2eproto::scc_info_RenameBuildingIn.base);
  SharedCtor();
  // @@protoc_insertion_point(constructor:dfproto.RenameBuildingIn)
}
RenameBuildingIn::RenameBuildingIn(const RenameBuildingIn& from)
  : ::google::protobuf::MessageLite(),
      _internal_metadata_(NULL),
      _has_bits_(from._has_bits_) {
  _internal_metadata_.MergeFrom(from._internal_metadata_);
  name_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  if (from.has_name()) {
    name_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.name_);
  }
  building_id_ = from.building_id_;
  // @@protoc_insertion_point(copy_constructor:dfproto.RenameBuildingIn)
}

void RenameBuildingIn::SharedCtor() {
  name_.UnsafeSetDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  building_id_ = 0;
}

RenameBuildingIn::~RenameBuildingIn() {
  // @@protoc_insertion_point(destructor:dfproto.RenameBuildingIn)
  SharedDtor();
}

void RenameBuildingIn::SharedDtor() {
  name_.DestroyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}

void RenameBuildingIn::SetCachedSize(int size) const {
  _cached_size_.Set(size);
}
const RenameBuildingIn& RenameBuildingIn::default_instance() {
  ::google::protobuf::internal::InitSCC(&protobuf_rename_2eproto::scc_info_RenameBuildingIn.base);
  return *internal_default_instance();
}


void RenameBuildingIn::Clear() {
// @@protoc_insertion_point(message_clear_start:dfproto.RenameBuildingIn)
  ::google::protobuf::uint32 cached_has_bits = 0;
  // Prevent compiler warnings about cached_has_bits being unused
  (void) cached_has_bits;

  cached_has_bits = _has_bits_[0];
  if (cached_has_bits & 0x00000001u) {
    name_.ClearNonDefaultToEmptyNoArena();
  }
  building_id_ = 0;
  _has_bits_.Clear();
  _internal_metadata_.Clear();
}

bool RenameBuildingIn::MergePartialFromCodedStream(
    ::google::protobuf::io::CodedInputStream* input) {
#define DO_(EXPRESSION) if (!GOOGLE_PREDICT_TRUE(EXPRESSION)) goto failure
  ::google::protobuf::uint32 tag;
  ::google::protobuf::internal::LiteUnknownFieldSetter unknown_fields_setter(
      &_internal_metadata_);
  ::google::protobuf::io::StringOutputStream unknown_fields_output(
      unknown_fields_setter.buffer());
  ::google::protobuf::io::CodedOutputStream unknown_fields_stream(
      &unknown_fields_output, false);
  // @@protoc_insertion_point(parse_start:dfproto.RenameBuildingIn)
  for (;;) {
    ::std::pair<::google::protobuf::uint32, bool> p = input->ReadTagWithCutoffNoLastTag(127u);
    tag = p.first;
    if (!p.second) goto handle_unusual;
    switch (::google::protobuf::internal::WireFormatLite::GetTagFieldNumber(tag)) {
      // required int32 building_id = 1;
      case 1: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(8u /* 8 & 0xFF */)) {
          set_has_building_id();
          DO_((::google::protobuf::internal::WireFormatLite::ReadPrimitive<
                   ::google::protobuf::int32, ::google::protobuf::internal::WireFormatLite::TYPE_INT32>(
                 input, &building_id_)));
        } else {
          goto handle_unusual;
        }
        break;
      }

      // optional string name = 2;
      case 2: {
        if (static_cast< ::google::protobuf::uint8>(tag) ==
            static_cast< ::google::protobuf::uint8>(18u /* 18 & 0xFF */)) {
          DO_(::google::protobuf::internal::WireFormatLite::ReadString(
                input, this->mutable_name()));
        } else {
          goto handle_unusual;
        }
        break;
      }

      default: {
      handle_unusual:
        if (tag == 0) {
          goto success;
        }
        DO_(::google::protobuf::internal::WireFormatLite::SkipField(
            input, tag, &unknown_fields_stream));
        break;
      }
    }
  }
success:
  // @@protoc_insertion_point(parse_success:dfproto.RenameBuildingIn)
  return true;
failure:
  // @@protoc_insertion_point(parse_failure:dfproto.RenameBuildingIn)
  return false;
#undef DO_
}

void RenameBuildingIn::SerializeWithCachedSizes(
    ::google::protobuf::io::CodedOutputStream* output) const {
  // @@protoc_insertion_point(serialize_start:dfproto.RenameBuildingIn)
  ::google::protobuf::uint32 cached_has_bits = 0;
  (void) cached_has_bits;

  cached_has_bits = _has_bits_[0];
  // required int32 building_id = 1;
  if (cached_has_bits & 0x00000002u) {
    ::google::protobuf::internal::WireFormatLite::WriteInt32(1, this->building_id(), output);
  }

  // optional string name = 2;
  if (cached_has_bits & 0x00000001u) {
    ::google::protobuf::internal::WireFormatLite::WriteStringMaybeAliased(
      2, this->name(), output);
  }

  output->WriteRaw(_internal_metadata_.unknown_fields().data(),
                   static_cast<int>(_internal_metadata_.unknown_fields().size()));
  // @@protoc_insertion_point(serialize_end:dfproto.RenameBuildingIn)
}

size_t RenameBuildingIn::ByteSizeLong() const {
// @@protoc_insertion_point(message_byte_size_start:dfproto.RenameBuildingIn)
  size_t total_size = 0;

  total_size += _internal_metadata_.unknown_fields().size();

  // required int32 building_id = 1;
  if (has_building_id()) {
    total_size += 1 +
      ::google::protobuf::internal::WireFormatLite::Int32Size(
        this->building_id());
  }
  // optional string name = 2;
  if (has_name()) {
    total_size += 1 +
      ::google::protobuf::internal::WireFormatLite::StringSize(
        this->name());
  }

  int cached_size = ::google::protobuf::internal::ToCachedSize(total_size);
  SetCachedSize(cached_size);
  return total_size;
}

void RenameBuildingIn::CheckTypeAndMergeFrom(
    const ::google::protobuf::MessageLite& from) {
  MergeFrom(*::google::protobuf::down_cast<const RenameBuildingIn*>(&from));
}

void RenameBuildingIn::MergeFrom(const RenameBuildingIn& from) {
// @@protoc_insertion_point(class_specific_merge_from_start:dfproto.RenameBuildingIn)
  GOOGLE_DCHECK_NE(&from, this);
  _internal_metadata_.MergeFrom(from._internal_metadata_);
  ::google::protobuf::uint32 cached_has_bits = 0;
  (void) cached_has_bits;

  cached_has_bits = from._has_bits_[0];
  if (cached_has_bits & 3u) {
    if (cached_has_bits & 0x00000001u) {
      set_has_name();
      name_.AssignWithDefault(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), from.name_);
    }
    if (cached_has_bits & 0x00000002u) {
      building_id_ = from.building_id_;
    }
    _has_bits_[0] |= cached_has_bits;
  }
}

void RenameBuildingIn::CopyFrom(const RenameBuildingIn& from) {
// @@protoc_insertion_point(class_specific_copy_from_start:dfproto.RenameBuildingIn)
  if (&from == this) return;
  Clear();
  MergeFrom(from);
}

bool RenameBuildingIn::IsInitialized() const {
  if ((_has_bits_[0] & 0x00000002) != 0x00000002) return false;
  return true;
}

void RenameBuildingIn::Swap(RenameBuildingIn* other) {
  if (other == this) return;
  InternalSwap(other);
}
void RenameBuildingIn::InternalSwap(RenameBuildingIn* other) {
  using std::swap;
  name_.Swap(&other->name_, &::google::protobuf::internal::GetEmptyStringAlreadyInited(),
    GetArenaNoVirtual());
  swap(building_id_, other->building_id_);
  swap(_has_bits_[0], other->_has_bits_[0]);
  _internal_metadata_.Swap(&other->_internal_metadata_);
}

::std::string RenameBuildingIn::GetTypeName() const {
  return "dfproto.RenameBuildingIn";
}


// @@protoc_insertion_point(namespace_scope)
}  // namespace dfproto
namespace google {
namespace protobuf {
template<> GOOGLE_PROTOBUF_ATTRIBUTE_NOINLINE ::dfproto::RenameSquadIn* Arena::CreateMaybeMessage< ::dfproto::RenameSquadIn >(Arena* arena) {
  return Arena::CreateInternal< ::dfproto::RenameSquadIn >(arena);
}
template<> GOOGLE_PROTOBUF_ATTRIBUTE_NOINLINE ::dfproto::RenameUnitIn* Arena::CreateMaybeMessage< ::dfproto::RenameUnitIn >(Arena* arena) {
  return Arena::CreateInternal< ::dfproto::RenameUnitIn >(arena);
}
template<> GOOGLE_PROTOBUF_ATTRIBUTE_NOINLINE ::dfproto::RenameBuildingIn* Arena::CreateMaybeMessage< ::dfproto::RenameBuildingIn >(Arena* arena) {
  return Arena::CreateInternal< ::dfproto::RenameBuildingIn >(arena);
}
}  // namespace protobuf
}  // namespace google

// @@protoc_insertion_point(global_scope)
